# Uses of Class
org.eclipse.core.databinding.observable.value.ValueChangeEvent

Packages that use ValueChangeEvent
Package
Description
org.eclipse.core.databinding.observable.value
Provides classes that can be used to observe changes in discrete values.

## Uses of ValueChangeEvent in org.eclipse.core.databinding.observable.value

Methods in org.eclipse.core.databinding.observable.value with parameters of type ValueChangeEvent
Modifier and Type
Method
Description
`protected void`
DecoratingObservableValue.`handleValueChange(ValueChangeEvent<? extends T> event)`
Called whenever a ValueChangeEvent is received from the decorated observable.
`void`
IValueChangeListener.`handleValueChange(ValueChangeEvent<? extends T> event)`
Handles a change to an observable value.